<?php
require'../config.php';
$align='left';
$title='Фильтр регистрации ников!';
head();
aut();
levels(9);
who_add(0,'enter');
?>
Обрати внимание <b>слово</b> и <b>slovo</b> два разных фильтра<br>
Если в нике окажеться <b>слово</b> не зависимо от РЕГИСТРА,фильтр сработает и регистрация не пройдёт<br />
Пример действия фильтра: <b>пРиМерСЛоВОмоего.</b><br /> Фильтр сработает так как для него <b>СЛоВО</b> и <b>слово</b> одно и тоже<br />
<font color="red">Будьте придельно аккуратны при добавлении фильтра!</font><br />
Так же все неудачные попытки пройти регистрацию пишуться в логах!<br /><br />';
<?php

if ($ver=='xhtml')echo '<form method="POST" action="filtr_reg?'.SID.'" name="auth">';
echo 'Фильтр:(Max 15)<br/>
<input name="filtr" maxlength="15" title="filtr"/><br/>';
if ($ver=='wml'){
echo '<anchor title="go">Проверить<go href="filtr_reg?'.SID.'" method="POST">
<postfield name="filtr" value="$filtr"/>
</go></anchor><br/><br />';
}else{
echo '<input type="submit" class="ibutton" value="Добавить фильтр" name="enter"/></form><br/><br />';
}
if(isset($_POST['filtr']))
{ 
	$filtr = check($_POST['filtr']);
	if ($db->sql_query ("INSERT INTO `filtr_reg_nik` (filtr_text,filtr_who) VALUES ('".$filtr."','".$user['id']."')")){header ('Location: filtr_reg?'.SID); exit;
	}else echo 'Ошибка!<br />';
}
if(isset($_GET['del']))
{
	if ($db->sql_query("DELETE FROM `filtr_reg_nik` WHERE `id` = '".intval($_GET['del'])."'")){header ('Location: filtr_reg?'.SID); exit;
	}else echo 'Ошибка!<br />';
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT count(*) as num FROM `filtr_reg_nik` "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post != 0) echo 'Список фильтр слов!<br />';
$r = $db->sql_query ("SELECT * FROM `filtr_reg_nik` ORDER BY `id` DESC LIMIT $start, $max");
if ($k_post == 0)echo 'Фильтров нет<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
//echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;

echo 'Фильтр: <b>'.$a['filtr_text'].'</b> Добавил: '.user($a['filtr_who']).' <a href="filtr_reg?del='.$a['id'].'">[X]</a><br />';
///echo text($a[msg]);

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('filtr_reg?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}








echo '<br/>';
echo gb.'<a href="/admin/">Админка</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>